---
title: "AI connections"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/connections.list
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# AI connections

AI connections of the workspace, pending confirmations and recent operations.

AI connections of the workspace, pending confirmations and recent operations.

## Overview

| Name | Value |
| --- | --- |
| Code | `connections.list` |
| Scope needed | `integrations.manage` |
| Risk | Read |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager` |
| In the app | Settings → AI connections |

## Input fields

This operation takes no fields.

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/connections.list \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ready` | `false` | Yes |
| `connections` | `any[]` | Yes |
| `confirmations` | `any[]` | Yes |
| `operations` | `any[]` | Yes |

## Example answer

```json
{
  "data": {
    "ready": false,
    "connections": [],
    "confirmations": [],
    "operations": []
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "connections.list"`. Tool name when listed: `connections_list`.
